package com.wd.workoffice.ui.adapter;


import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;
import com.wd.workoffice.R;
import com.wd.workoffice.bean.SendApplyBean;
import com.wd.workoffice.bean.SendApplyDetailBean;
import com.wd.workoffice.util.MathUtils;

import java.util.List;

import androidx.annotation.Nullable;

/**
 * Created by flexible on 2018/8/13.
 */

public class SendApplyDetailAdapter extends BaseQuickAdapter<SendApplyDetailBean, BaseViewHolder> {
    int type;//0 申请发货 1申请领料

    public SendApplyDetailAdapter(int layoutResId, List data) {
        super(layoutResId, data);
    }

    public SendApplyDetailAdapter(int layoutResId, List data, int type) {
        super(layoutResId, data);
        this.type=type;
    }

    @Override
    protected void convert(BaseViewHolder helper, SendApplyDetailBean item) {
        helper.setText(R.id.tv_name, item.getSimpleCode());
        helper.setText(R.id.tv_card, item.getSoleCode());
        helper.setText(R.id.tv_card_name, item.getProductName());
        helper.setText(R.id.tv_all_num, MathUtils.converData(item.getProductAmount(), 3));
        if (type == 1) {
            helper.setText(R.id.tv_desc, "使用数量");
        }
    }
}

